WordPress.org

Support

Support » Plugins and Hacks » WordPress Charts and Graphs Lite » [Resolved] Shortcode not working.

[Resolved] Shortcode not working.

  • Hi,

    For some reason, the shortcodes for Visualizer are not working for me. Other plugins’ shortcodes work just fine, but not Visualizer’s.

    To rule out some usual suspects:

    – Running a Gantry site. It appears that I do not need to use <?php wp_footer(); ?> in the footer. [support here]
    – Just incase, I also tried putting <?php wp_footer(); ?> into the footer above </body>. This had no effect.
    – I do not have W3 Total Cache plugin installed.

    Interestingly, after I created my first chart, I pushed insert into post and the plugin automatically put the full script into the post. Worked like a charm, looked lovely. After that, the plugin only allows me to use shortcodes, none of which work.

    Any ideas?

    Great looking plugin. Very hopeful I can get it to work.

    https://wordpress.org/plugins/visualizer/

Viewing 15 replies - 1 through 15 (of 18 total)
  • It is very strange. Could you give me an access to your site? Create an account for contact[at]madpixels[dot]com with editor role, I will login and look at it.

    User info in your inbox.

    Thanks for the help!

    sorry made a typo, not contact[at]madpixels[dot]com, but contact[at]madpixels[dot]net. could you please fix it or recreate an account?

    No worries. Just sent updated info.

    the site is in maintenance mode. can you disable it for some time?

    Disabled maintenance mode.

    Ok, I have checked the plugin and haven’t found any bugs or errors. I think the issue is in the theme. They don’t call wp_footer() function in the very bottom of a page template (before </body>). Calling that function is mandatory for dozens of plugins to work properly.

    To check if I am correct, could you please, switch your theme to a standard one and check if a chart is displayed properly? Please, let me know what do you see when you do a switch.

    From the WordPress documentation:

    ...
    <?php
       /* Always have wp_footer() just before the closing </body>
        * tag of your theme, or you will break many plugins, which
        * generally use this hook to reference JavaScript files.
        */
        wp_footer();
    ?>
    </body>
    </html>

    But it looks like they don’t have it or call it improperly.

    @blerkywp

    How does it work? Have you tried to switch your theme? Please, advise.

    Works fine with a different theme, so I assume the theme is the culprit. I’ve reached out to that developer for more information on how to include the wp_footer call in the theme.

    Hi @madpixels, my developer is having similar difficulties with a Gantry theme, trying all the wp_footer tips here and on the Gantry forum. I’d like to use this plugin on a dozen of our websites, but seeing as they all use Gantry, I need to get this resolved, or determine if they’re just not compatible πŸ™

    Hi @tux Kapono

    The issue with Gantry based themes is well known. I have a contact with Granty developer about it. The Gantry framework is a bit weird, so he is looking for a way to fix this compatibility issue.

    I will let you know when it will be fixed.

    Any luck? Should I open a paid ticket with RocketTheme to get this resolved?

    Nope, haven’t received any info from them yet… Not sure about paid ticket, it’s up to you.

    Hi @tux Kapono!

    I have just received three emails from Granty developer:

    Hi,
    I checked our code and just like I mentioned this could be the overbuffering issue as
    we’re not changing the order of the actions that are called durning a page request.
    I’m going to add an action to our core that will load the Visualizer scripts on the hook
    I mentioned your earlier so when the framework update comes out all of themes using
    Gantry should get fixed automatically.
    Thanks,
    Jakub

    Sorry, not load but register, so they would be ready to be enqueued when the shortcode fires πŸ˜‰

    and

    Actually we might change it differently without any Visualizer specific fixed to make your plugin and others with the same approach work just fine. Anyways next version of Gantry will fix it πŸ™‚
    Thanks,
    Jakub

    So it looks like they will publish new version soon which will contain improvements which sort this issue out.

    Regards,
    Eugene

Viewing 15 replies - 1 through 15 (of 18 total)
  • The topic ‘[Resolved] Shortcode not working.’ is closed to new replies.
Skip to toolbar